.blog-archive a.elementor-post__thumbnail__link .elementor-post__thumbnail {
    z-index: 1;
}

.blog-archive a.elementor-post__thumbnail__link:after {
    bottom: -30px !important;
}

@media screen and (min-width:1024px) {
    .elementor-element-760d34b, .elementor-element-cd348a0 {
        max-width: 90% !important;
    }
}

@media screen and (max-width:1024px) {
    .elementor-location-footer .elementor-element.elementor-element-16cf4b0.elementor-widget.elementor-widget-heading {
        padding: 0 5px;
    }

    .elementor-element.elementor-element-f5ae170 {
        padding: 0 10px;
    }
}